<template>
  <h1>Page 2</h1>
  <div>Pozdrav iz: {{ textFromRandomNumberComponent }}</div>
  <br />
  <RandomNumber @printText="getMessageFromChild" />
</template>

<script>
import RandomNumber from "../components/RandomNumber.vue";

export default {
  data() {
    return {
      textFromRandomNumberComponent: "",
    };
  },
  components: {
    RandomNumber,
  },
  methods: {
    getMessageFromChild(event) {
      this.textFromRandomNumberComponent = event;
    },
  },
};
</script>